\subsection{Introduction}


In this section, we will address the following topics:
\begin{itemize}
\item Uncertainties in Next-to-Leading Order Parton Shower (NLO+PS) generators.
While in fixed order computations there is considerable experience in
using scale variation to estimate theoretical error, in the framework
of NLO+PS generators this is sometimes not sufficient.
Suggestions for obtaining more realistic error bands will be given, and
areas that will require further work will be identified.
Uncertainties having to do with shower effects beyond the NLO level,
hadronisation and underlying event will also be considered.
\item Tuning of NLO+PS generators. In the case of Higgs production in gluon
fusion, a next-to-next-to-leading-log (NNLL)
matched to a next-to-next-to-leading-order (NNLO)
calculation exists, and is implemented in the program {\sc HqT}~\cite{hqt}.
One can use the {\sc HqT} results to improve the output of NLO+PS generators
in several ways. One can reweight the generated events, or one can tune the parameters of the NLO+PS
generators, or one can do both things to achieve better
agreement with {\sc HqT}. Issues related to these procedures will be discussed.
\item
Since the publication of the first volume of this
Yellow Report~\cite{Dittmaier:2011ti}, some improvements on existing
generators have appeared. We present here these new developments.
\end{itemize}
The section is organised as follows. In subsection
\ref{NLOPSsec:compHqT} the POWHEG BOX and the
MC@NLO Higgs production generators will be compared with the
{\sc HqT} prediction for the Higgs $\pT$ spectrum.
In \refS{NLOPSsec:Sherpa}
a study of uncertainties in $\Pg\Pg\to \PH\to \PW\PW^{(*)}$ using Sherpa is
presented.
In \refS{NLOEx} a study of systematic uncertainties of NLO+PS
tools in their implementation within the ATLAS and CMS event generation
framework.
In \refS{NLOPSsec:guidelines} we discuss
issues related to the use of the {\sc HqT} result to improve the
NLO+PS programs. In particular, we will give recommendations
on how to perform event reweighting,
if needed, and how to set up the parameters of the NLO+PS
generators to achieve better agreement with the {\sc HqT} result.
In \refS{NLOPSsec:ggHfullmt}, we present new generators
for Higgs production in gluon fusion, including full top and
bottom mass dependence, in the \madgraph{} and in the \POWHEGBOX{}
framework.

In \refS{NLOPSsec:aMCatNLO}, a new \aMCatNLO{} feature is
presented, that allows to perform studies of scale and PDF dependence
by reweighting the same set of events.

Some controversial points have emerged during the preparation of this
report that have not yet been solved. In
\refS{NLOPSsec:controversy} these points will
be summarised.
